Merge two purchase groups
POST /events/{id}/purchase-groups/{pgid}/merge
POST
/events/{id}/purchase-groups/{pgid}/merge
Merge a source purchase group into a target purchase group
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
The unique identifier of the event
pgid
required
string
The unique identifier of the target purchase group
Request Body required
Section titled “Request Body required ”object
sourceGroupId
required
ID of the source group to merge from
string
combinedSize
required
The combined size of both groups
number
note
required
Note explaining the merge
string
Responses
Section titled “ Responses ”Successfully merged purchase groups
Invalid request data
Purchase group not found
Internal server error